Bug 88856 - /etc/wvdial.conf is publically readable and contains remote user account and passwords
/etc/wvdial.conf is publically readable and contains remote user account and ...
Status: CLOSED DUPLICATE of bug 106738
Product: Red Hat Linux
Classification: Retired
Component: wvdial (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-04-14 20:35 EDT by Brad Smith
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:52:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2003-04-14 20:35:48 EDT
Description of problem: /etc/wvdial.conf is configured by the redhat network
configuration tool when a ppp connection is defined. wvdial.conf contains remote
user id and password for the dial-up account. wvdial.conf is also visible with
these permissions:

-rw-r--r--    1 root     root          248 Apr 14 16:59 /etc/wvdial.conf

Since it also contains the phone number for the remote system this seems like a
large potential security risk.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. configure remote dial-up connection
2. more /etc/wvdial.conf to view password
3. ls -l /etc/wvdial.conf to view permissions
Actual results:

Expected results:

passwords and possibly user id information to be encrypted.

Additional info:
Comment 1 Bill Nottingham 2003-10-09 23:20:43 EDT

*** This bug has been marked as a duplicate of 106738 ***
Comment 2 Red Hat Bugzilla 2006-02-21 13:52:41 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.